Page MenuHomePhabricator

Email notification mistakes most log actions for new page creation
Open, NormalPublic

Description

T16901: Email notification mistakes log action for new page creation was closed because we're now in a much better situation and on the right path, but there's more to do:

(Quoting from bug T16901 comment #64)

(In reply to bug T16901 comment 63)

This patch solves the problem to a certain level, which handles: create,
delete, move, restore, change. change is the default"

If the only problem with the patch is that i doesn't resolve the problem
completely, then I quote Nikerabbit "Let's try to get this in and then improve
further as needed".
For this or any future patch: any log action has a name to show on Special:Log
which is also translatable (unless there is still some very ugly deprecated
method to log), so an easy fallback for the unhandled cases would be to notify
something like "An action of type $log_action has been performed on the page"
etc.

A proper and complete fix would require the notification system in core and other core features or extensions to communicate in some way, but that will be another bug.

Details

Reference
bz42457

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:59 AM
bzimport added a project: MediaWiki-Email.
bzimport set Reference to bz42457.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Nov 26 2012, 9:02 PM

This would have made most sense for 1.21 but it won't fit a .x release.

As the Target Milestone on this ticket has been set to 1.22.0:

According to http://lists.wikimedia.org/pipermail/wikitech-l/2013-September/072030.html "MediaWiki 1.22 is slated for release on November 30th, at the very latest."

If this is still intended to get fixed for 1.22.0, a patch is needed soon.

[Bumping TM as MediaWiki 1.22.0 tarball was released today.]

Removing target milestone that was in the past.

If you want this in a specific release, have a good reason AND you are willing to find resources to fix this bug, feel free to change it to something appropriate.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2015, 11:09 PM
Quiddity updated the task description. (Show Details)Aug 30 2017, 7:04 PM